Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class NetworkStatus

`java.lang.Object
oracle.ovs.api.datamodel.NetworkStatus`

All Implemented Interfaces:
  java.io.Serializable

      public class NetworkStatus

extends java.lang.Object
implements java.io.Serializable

Network status data model.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_NETWORKSTATUS_ACTIVE`
`static java.lang.String` | `_NETWORKSTATUS_INACTIVE`

Constructor Summary
`` | `NetworkStatus()`
`protected` | `NetworkStatus(java.lang.String NetworkStatus)`

Method Summary
`boolean` | `equals(NetworkStatus oNetworkStatus)`
`java.lang.String` | `getNetworkStatus()`
`void` | `setNetworkStatus(java.lang.String networkStatus)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _NETWORKSTATUS_ACTIVE

    public static final java.lang.String _NETWORKSTATUS_ACTIVE

  See Also:
    Constant Field Values

### _NETWORKSTATUS_INACTIVE

    public static final java.lang.String _NETWORKSTATUS_INACTIVE

  See Also:
    Constant Field Values

Constructor Detail

### NetworkStatus

    public NetworkStatus()

### NetworkStatus

    protected NetworkStatus(java.lang.String NetworkStatus)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(NetworkStatus oNetworkStatus)

### setNetworkStatus

    public void setNetworkStatus(java.lang.String networkStatus)

### getNetworkStatus

    public java.lang.String getNetworkStatus()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.